Package com.pixelmed.utils

# Class CapabilitiesAvailable

java.lang.Object
com.pixelmed.utils.CapabilitiesAvailable

public class CapabilitiesAvailable extends Object

Various capability detection methods.

## Constructor Summary

Constructors
Constructor
Description
`CapabilitiesAvailable()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`dumpListOfAllAvailableReaders(PrintStream out)`
`static void`
`dumpListOfAllAvailableWriters(PrintStream out)`
`static boolean`
`haveBzip2Support()`
Is a bzip2 codec available?
`static boolean`
`haveJPEG2000Part1Codec()`
Is a JPEG 2000 Part 1 codec available?
`static boolean`
`haveJPEGBaselineSelectiveBlockRedaction()`
Is the selective JPEG block redaction codec available for the baseline 8 bit process?
`static boolean`
`haveJPEGLosslessCodec()`
Is a lossless JPEG codec available?
`static boolean`
`haveJPEGLSCodec()`
Is a JPEG-LS codec available?
`static boolean`
`haveUnixCompressSupport()`
Is a unix compress codec available?
`static void`
`main(String[] arg)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CapabilitiesAvailable

public CapabilitiesAvailable()

## Method Details

### haveJPEGBaselineSelectiveBlockRedaction

public static boolean haveJPEGBaselineSelectiveBlockRedaction()

Is the selective JPEG block redaction codec available for the baseline 8 bit process?

Returns:
  true if available

### haveBzip2Support

public static boolean haveBzip2Support()

Is a bzip2 codec available?

Returns:
  true if available

### haveUnixCompressSupport

public static boolean haveUnixCompressSupport()

Is a unix compress codec available?

Returns:
  true if available

### haveJPEGLosslessCodec

public static boolean haveJPEGLosslessCodec()

Is a lossless JPEG codec available?

Returns:
  true if available

### haveJPEG2000Part1Codec

public static boolean haveJPEG2000Part1Codec()

Is a JPEG 2000 Part 1 codec available?

Returns:
  true if available

### haveJPEGLSCodec

public static boolean haveJPEGLSCodec()

Is a JPEG-LS codec available?

Returns:
  true if available

### dumpListOfAllAvailableReaders

public static void dumpListOfAllAvailableReaders(PrintStream out)

### dumpListOfAllAvailableWriters

public static void dumpListOfAllAvailableWriters(PrintStream out)

### main

public static void main(String[] arg)